.page__body {
  font-family: "Ubuntu", sans-serif;
  font-size: 14px;
  line-height: 14px;
  color: #fff;
}

.background-wrapper {
  background: url(../images/background.jpg) no-repeat;
  background-size: 100% 100%;
  /* height: 100vh; */
}

.page__main {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 58px);
}

/* HEADER */

.page__header {
  background: rgba(0, 0, 0, 0.4);
  padding: 17px 79px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-leftside {
  font-weight: 700;
  font-size: 22px;
  line-height: 22px;
  color: #fff;

  text-transform: uppercase;

  transition: color 0.5s ease-in-out;
}

.header-leftside:hover {
  color: #3cb878;
}

.header-rightside {
  display: flex;
  align-items: center;
}

.header-icons {
  height: 24px;
  position: relative;
}

.header-icons::after {
  content: "";
  width: 1px;
  height: 19px;
  background-color: rgba(255, 255, 255, 0.9);
  position: absolute;
  right: -25px;
  top: calc(50% - 9px);
}

.icon-link:nth-child(n + 2) {
  margin-left: 24px;
}

.icon-hover-fill {
  transition: fill 0.5s ease-in-out;
}

.icon-link:hover .icon-hover-fill {
  fill: #3cb878;
}

.header-text {
  display: inline;
  margin: 0;
  margin-left: 53px;
}

.header-link {
  color: #fff;
  transition: color 0.5s ease-in-out;
}

.header-link:first-child:hover,
.header-link:last-child:hover {
  color: #3cb878;
}

/* MAIN */

.signup-form {
  width: 444px;
  height: 584px;
  padding: 0 60px 0 60px;
  background-color: #fff;
  box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
}

.form-header {
  padding: 31px 0 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.form-signup {
  font-size: 20px;
  line-height: 20px;
  color: #434343;

  margin: 0;

  text-transform: capitalize;

  position: relative;
}

.form-signup::before {
  content: "";
  width: 18px;
  height: 18px;
  background-color: #3cb878;
  position: absolute;
  left: -60px;
}

.form-login {
  color: #3cb878;
  text-transform: capitalize;
  transition: color 0.5s ease-in-out;
}

.form-login:hover {
  color: #01813f;
  text-decoration: underline;
}

.button {
  font-size: 16px;
  line-height: 16px;
  color: #fff;
  text-transform: capitalize;

  padding: 15px 0;
  margin: 0;

  border: none;
  cursor: pointer;

  border-radius: 4px;
  transition: background-color 0.5s ease-in-out;
}

.button:first-of-type {
  background-color: #305db8;

  padding-inline: 16px 22px;
}

.button:nth-child(n + 3) {
  background-color: #df4a32;

  padding-inline: 12px 27px;
}

.facebook-icon {
  padding-right: 38px;
  position: relative;
}

.google-icon {
  padding-right: 38px;
  position: relative;
}

.facebook-icon::after,
.google-icon::after {
  content: "";
  width: 1px;
  height: 28px;
  background-color: #0a162f;
  position: absolute;
  top: calc(50% - 14px);
  opacity: 0.1;
}

.facebook-icon::after {
  right: 19px;
}

.google-icon::after {
  left: 37px;
}

.button:first-of-type:hover {
  background-color: #022263;
}

.button:nth-child(n + 3):hover {
  background-color: #ab1f09;
}

.or {
  color: #848484;
  text-align: center;

  margin-block: 32px 11px;
  position: relative;
}

.or::after,
.or::before {
  content: "";
  width: 152px;
  height: 1px;
  background-color: #f2f2f2;
  position: absolute;
  top: 9px;
}

.or::after {
  right: -5px;
}

.or::before {
  left: -5px;
}

.form-element {
  border: none;
  width: 324px;
  height: 44px;
  padding: 15px 0 15px 20px;
  margin-bottom: 15px;
  border: 1px solid #f2f2f2;
  outline: none;
  cursor: pointer;
}

.form-element::placeholder {
  color: #bebebe;
}

.form-element:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  border-radius: 4px;
  border: none;
}

.form-checkbox {
  display: none;
}

.checkbox-label {
  color: #434343;
  cursor: pointer;

  display: flex;
  align-items: center;
}

.checkbox-label::before {
  content: "";
  width: 20px;
  height: 20px;

  border: 1px solid #f2f2f2;
  background: rgba(0, 0, 0, 0.0001);

  margin-right: 8px;

  background-position: center;
  background-repeat: no-repeat;
}

.form-checkbox:checked + .checkbox-label::before {
  background-image: url(../images/checkmark.png);
}

.checkbox-link {
  color: #3cb878;
  text-transform: capitalize;
  transition: color 0.5s ease-in-out;

  padding-left: 5px;
}

.checkbox-link:hover {
  color: #01813f;
  text-decoration: underline;
}

.button:last-child {
  padding: 16px 99px;
  background-color: #3cb878;

  margin-top: 20px;
  border: none;
}

.button:last-child:hover {
  background-color: #01813f;
}
